Animal Kingdom tutorial fails running npm install


#1

This appears to be similiar to other issues on the forum but not exactly.

I’m running OS-x 10.14.2

25669 warn animal-kingdom@1.0.0-alpha.2 No repository field.
25670 warn animal-kingdom@1.0.0-alpha.2 No license field.
25671 verbose stack Error: tiny-secp256k1@1.0.1 install: node-gyp rebuild
25671 verbose stack Exit status 1
25671 verbose stack at EventEmitter. (/usr/local/lib/node_modules/npm/node_modules/npm-lifecycle/index.js:304:16)
25671 verbose stack at emitTwo (events.js:106:13)
25671 verbose stack at EventEmitter.emit (events.js:191:7)
25671 verbose stack at ChildProcess. (/usr/local/lib/node_modules/npm/node_modules/npm-lifecycle/lib/spawn.js:55:14)
25671 verbose stack at emitTwo (events.js:106:13)
25671 verbose stack at ChildProcess.emit (events.js:191:7)
25671 verbose stack at maybeClose (internal/child_process.js:891:16)
25671 verbose stack at Process.ChildProcess._handle.onexit (internal/child_process.js:226:5)
25672 verbose pkgid tiny-secp256k1@1.0.1
25673 verbose cwd /Users/scoleman/dev/blockstack/animal-kingdom-master
25674 verbose Darwin 18.2.0
25675 verbose argv “/usr/local/bin/node” “/usr/local/bin/npm” “install”
25676 verbose node v6.11.2
25677 verbose npm v6.1.0
25678 error code ELIFECYCLE
25679 error errno 1
25680 error tiny-secp256k1@1.0.1 install: node-gyp rebuild
25680 error Exit status 1
25681 error Failed at the tiny-secp256k1@1.0.1 install script.


#2

Apologies if you have already run through these things, but I want to rule these out:

Which version of node are you running?
Can you try upgrading node and rerunning npm install

If that also fails with the same error, have you tried:

npm install tiny-secp256k1

and then rerunning npm install.

Let me know where that gets you.


#3

Apologies if you have already run through these things, but I want to rule these out:

Which version of node are you running?

Can you try upgrading node (if it is not) and rerunning npm install?

If that also fails with the same error, can you try:

$ npm install tiny-secp256k1

and then rerunning

$ npm install

Let me know where that gets you.


#4

Thanks much! updating npm fixed it


#5

oh yay! glad I could help.